%global install_loc		%{_datadir}/eclipse/dropins

# Latest tags from 3.5.1 branch
# git_tag here must be same as servertools_tag in eclipse-wtp-common
%global servertools_tag	20130830_1134
%global servertools_dir	webtools.servertools-%{servertools_tag}

%global docs_tag		20120830_2252
%global docs_dir		webtools.servertools.docs-%{docs_tag}

Name:			eclipse-wtp-servertools
Version:		3.5.1
Release:		1%{?dist}
Summary:		WTP Server Tools

Group:			Development/Tools
License:		EPL
URL:			http://www.eclipse.org/webtools/server/server.php

Source0:		http://git.eclipse.org/c/servertools/webtools.servertools.git/snapshot/%{servertools_dir}.tar.bz2
Source1:		http://git.eclipse.org/c/servertools/webtools.servertools.docs.git/snapshot/%{docs_dir}.tar.bz2
Source2:		http://git.eclipse.org/c/servertools/webtools.servertools.tests.git/snapshot/R3_5_1.tar.bz2

# Remove versioning for jetty dependencies
Patch0:			%{name}-jetty_versions.patch

# TODO: This shouldn't be necessary
# Can't find org.eclipse.jetty.http.MimeTypes.TEXT_HTML so use string literal
# The class is imported fine, and the value exists, but it still fails
Patch1:			%{name}-text_html.patch

BuildArch:		noarch

BuildRequires: eclipse-platform >= 4.3.0
BuildRequires: eclipse-pde >= 4.3.0
BuildRequires: eclipse-emf >= 2.9.0
BuildRequires: eclipse-wtp-common >= 3.5.1-1
BuildRequires: eclipse-gef >= 3.9.0
BuildRequires: jetty-webapp
BuildRequires: jetty-xml

Requires: eclipse-platform >= 4.3.0
Requires: eclipse-emf >= 2.9.0
Requires: eclipse-wtp-common >= 3.5.0-1
Requires: eclipse-gef >= 3.9.0
Requires: jetty-webapp
Requires: jetty-xml

%description
The Server tools project is responsible for the framework and adapters 
for selected servers. It provides a generic infrastructure and J2EE specific 
server components. 

%prep
%setup -q -c
%setup -q -T -D -a 1
%setup -q -T -D -a 2

find -name *.jar -delete
find -name *.war -delete
find -name *.rar -delete
find -name *.zip -delete
find -name *.class -delete


#Remove license attributes from feature.xml
find -name feature.xml -exec sed -i -e 's/license-feature.*"//' '{}' \;

#Orbit links
rm -rf orbit
mkdir orbit
pushd orbit
%{__ln_s} %{_javadir}/emf/eclipse/plugins/org.eclipse.emf.edit_*.jar
%{__ln_s} %{_javadir}/jetty/jetty-http.jar
%{__ln_s} %{_javadir}/jetty/jetty-server.jar
%{__ln_s} %{_javadir}/jetty/jetty-servlet.jar
%{__ln_s} %{_javadir}/jetty/jetty-util.jar
%{__ln_s} %{_javadir}/jetty/jetty-webapp.jar
%{__ln_s} %{_javadir}/jetty/jetty-xml.jar
popd

pushd %{servertools_dir}
%patch0
%patch1
popd

%build
# If changing qualifier here, it should be the same as eclipse-wtp-common
OPTIONS="-DforceContextQualifier=201109301723 -DjavacSource=1.5 -DjavacTarget=1.5"

eclipse-pdebuild -f org.eclipse.wst.server_ui.feature \
	-d "emf gef eclipse-wtp-common" -o `pwd`/orbit -a "${OPTIONS}"

eclipse-pdebuild -f org.eclipse.jst.server_ui.feature \
	-d "emf gef eclipse-wtp-common" -a "${OPTIONS}"

eclipse-pdebuild -f org.eclipse.wst.server_adapters.feature -d "gef" \
	-o `pwd`/orbit -a "${OPTIONS}"

eclipse-pdebuild -f org.eclipse.jst.server_adapters.feature \
	-a "${OPTIONS}"

eclipse-pdebuild -f org.eclipse.jst.server_adapters.ext.feature \
	-a "${OPTIONS}"

# Tests
eclipse-pdebuild -f org.eclipse.wst.server_tests.feature \
	-d "emf gef eclipse-wtp-common" -o `pwd`/orbit -a "${OPTIONS}"

eclipse-pdebuild -f org.eclipse.jst.server_tests.feature \
	-d "emf gef eclipse-wtp-common" -a "${OPTIONS}"

# TODO
# This test feature depends on eclipse-wtp-jeetools, which would cause
# a cyclical dependency - may also need some other tweaks
#eclipse-pdebuild -f org.eclipse.jst.server_adapters.ext_tests.feature \
#	-a "${OPTIONS}"

%install
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.jst.server_ui.feature
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.wst.server_ui.feature
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.wst.server_adapters.feature
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.jst.server_adapters.feature
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.jst.server_adapters.ext.feature

%{__unzip} -q -o -d %{buildroot}%{install_loc}/org.eclipse.jst.server_ui.feature \
     build/rpmBuild/org.eclipse.jst.server_ui.feature.zip
%{__unzip} -q -o -d %{buildroot}%{install_loc}/org.eclipse.wst.server_ui.feature \
     build/rpmBuild/org.eclipse.wst.server_ui.feature.zip
%{__unzip} -q -o -d %{buildroot}%{install_loc}/org.eclipse.wst.server_adapters.feature \
     build/rpmBuild/org.eclipse.wst.server_adapters.feature.zip
%{__unzip} -q -o -d %{buildroot}%{install_loc}/org.eclipse.jst.server_adapters.feature \
     build/rpmBuild/org.eclipse.jst.server_adapters.feature.zip
%{__unzip} -q -o -d %{buildroot}%{install_loc}/org.eclipse.jst.server_adapters.ext.feature \
     build/rpmBuild/org.eclipse.jst.server_adapters.ext.feature.zip


# Remove duplicate JARs (from eclipse-wtp-commons)
pushd %{buildroot}%{install_loc}/org.eclipse.wst.server_ui.feature/eclipse/plugins
rm -f org.eclipse.wst.internet.monitor.core_*.jar
rm -f org.eclipse.wst.server.core_*.jar
popd

# Symlink jetty jars instead of bundling them
pushd %{buildroot}%{install_loc}/org.eclipse.wst.server_adapters.feature/eclipse/plugins
rm -f org.eclipse.jetty.webapp_*.jar
rm -f org.eclipse.jetty.xml_*.jar
%{__ln_s} %{_javadir}/jetty/jetty-webapp.jar
%{__ln_s} %{_javadir}/jetty/jetty-xml.jar
popd

%files
%{install_loc}/org.eclipse.jst.server_ui.feature
%{install_loc}/org.eclipse.wst.server_ui.feature
%{install_loc}/org.eclipse.wst.server_adapters.feature
%{install_loc}/org.eclipse.jst.server_adapters.feature
%{install_loc}/org.eclipse.jst.server_adapters.ext.feature

%doc %{docs_dir}/docs/org.eclipse.jst.server.ui.doc.user/about.html

%changelog
* Fri Oct 11 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.5.1-1
- Update to latest upstream version 3.5.1

* Sun Sep 22 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.5.0-3
- RHBZ-1009451: Symlink jetty jars instead of bundling them

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 24 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.5.0-1
- Update to latest upstream version 3.5.0

* Thu May 23 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.5.0-0.1
- Start building from upstream master branches in anticipation for 3.5.0

* Sun Apr 21 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.4.2-2
- Update minimum dependency versions

* Sun Mar 24 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.4.2-1
- Update to upstream 3.4.2
- Force removal of any prebuilt stuff
- Add test features
- Force context qualifier to be the same as eclipse-wtp-common

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 25 2012 Gerard Ryan <galileo@fedoraproject.org> - 3.4.1-1
- Update to latest upstream release.
- Change fetch script to use git.eclipse.org.
- Add orbital dependency for moved emf jar.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.4.0-2
- Fix pde BR/R.

* Wed Jul 11 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.4.0-1
- Update to latest upstream release.

* Fri Feb 10 2012 vladimir <vladimir@dev.technogamma.biz> 3.3.1-4
- Source tarball patched so it complies with Jetty 8 & javax.servlet 3.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 3 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 3.3.1-2
- Fixed files section in .spec

* Sat Oct 29 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 3.3.1-1
- Initial Fedora package
